INTERFACE
SUBROUTINE LWU15 ( KIDIA,KFDIA,KLON,KLEV,KAER,KMODE,KFLUX,KRAD,&
 & PAER,PCCO2,PDP,PPMB,PPSOL,PQOF,PTAVE,PVIEW,PWV,&
 & PABCU ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLW15 , ONLY : NINT15 ,NUA15 ,NG115 ,NG1P115 ,&
 & AT15 ,BT15 ,OCT15 ,RT115 ,TREF15 ,&
 & RVGCO215 ,RVGH2O15 ,RVGO315 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM) :: KAER
INTEGER(KIND=JPIM) :: KMODE
INTEGER(KIND=JPIM) :: KFLUX
INTEGER(KIND=JPIM) :: KRAD
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,KLEV,6)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPMB(KLON,KLEV+1)
REAL(KIND=JPRB) :: PPSOL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQOF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVIEW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PABCU(KLON,NUA15,3*KLEV+1)
END SUBROUTINE LWU15
END INTERFACE
